# $Revision: 1.60 $, $Date: 2010/08/16 21:55:48 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Ace
Summary:	AcePerl - Perl interface for the ACEDB object-oriented database
Summary(pl.UTF-8):	AcePerl - interfejs perlowy do obiektowej bazy danych ACEDB
Name:		perl-AcePerl
Version:	1.92
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Ace/AcePerl-%{version}.tar.gz
# Source0-md5:	485e54655a15d8dc5c471fed07092414
Patch0:		%{name}-defaults.patch
Patch1:		%{name}-path.patch
URL:		http://search.cpan.org/dist/AcePerl/
BuildRequires:	cpp
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-GD
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AcePerl provides an interface to the ACEDB object-oriented database.
Designed specifically for use in genome sequencing projects, ACEDB
provides powerful modeling and management services for biological and
laboratory data. For others, it is a good open source introduction to
the world of object-oriented databases.

%description -l pl.UTF-8
AcePerl umożliwia dostęp do obiektowej bazy danych ACEDB. Został
zaprojektowany dla projektów dotyczących genomów. ACEDB udostępnia
potężne usługi modelowania i zarządzania danymi biologicznymi i
laboratoryjnymi. Ponadto, jest on dobrym wprowadzeniem otwartego
oprogramowania w swiat baz obiektowych.

%package -n perl-AceBrowser
Summary:	AceBrowser - collection of CGI scripts providing interface to ACEDB
Summary(pl.UTF-8):	AceBrowser - zbiór skryptów CGI stanowiących interfejs do ACEDB
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	webserver = apache

%description -n perl-AceBrowser
AceBrowser is a collection of CGI scripts that run on top of AcePerl
to provide a simple browsable interface to ACEDB databases. Some of
the code has been tuned for the C. elegans database, but most of it is
fully generic.

%description -n perl-AceBrowser -l pl.UTF-8
AceBrowser jest zbiorem skryptów CGI, działających w oparciu o AcePerl
i stanowiących prosty interfejs do baz danych ACEDB. Część kodu
zoptymalizowano dla bazy danych C. elegans, lecz większość jest
ogólna.

%prep
%setup -q -n AcePerl-%{version}
%patch0 -p0
%patch1 -p1

%build
# Makefile.PL does not read from non-terminal stdin
%{__perl} Makefile.PL < /dev/null \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}" \
	COMPILER="%{__cc} -DACEDB4 %{rpmcflags} -fPIC"
cd RPC
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
# prevent race conditions in parallel build
%{__make} -C ../acelib rpcace.h
%{__make} \
	OPTIMIZE="%{rpmcflags}" \
	COMPILER="%{__cc} -DACEDB4 %{rpmcflags} -fPIC"
cd ../Freesubs
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}" \
	COMPILER="%{__cc} -DACEDB4 %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd RPC
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd ../Freesubs
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd ..

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/httpd,/home/services/httpd/{cgi-bin,html}}/ace
rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Ace/.packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Ace/Freesubs/.packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Ace/RPC/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README DISCLAIMER.txt
%attr(755,root,root) %{_bindir}/ace.pl
%{perl_vendorlib}/Ace.pm
%dir %{perl_vendorlib}/Ace
%{perl_vendorlib}/Ace/[!B]*
%{perl_vendorlib}/GFF
%{perl_vendorlib}/auto/Ace
%dir %{perl_vendorarch}/Ace
%{perl_vendorarch}/Ace/*.pm
%dir %{perl_vendorarch}/auto/Ace
%dir %{perl_vendorarch}/auto/Ace/Freesubs
%{perl_vendorarch}/auto/Ace/Freesubs/Freesubs.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Ace/Freesubs/Freesubs.so
%dir %{perl_vendorarch}/auto/Ace/RPC
%{perl_vendorarch}/auto/Ace/RPC/RPC.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Ace/RPC/RPC.so
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man1/ace.pl*
%{_mandir}/man3/Ace.3pm*
%{_mandir}/man3/Ace::[!B]*

%files -n perl-AceBrowser
%defattr(644,root,root,755)
%doc README.ACEBROWSER
%dir %{_sysconfdir}/httpd/ace
%dir /home/services/httpd/cgi-bin/ace
%dir /home/services/httpd/html/ace
%{perl_vendorlib}/Ace/Browser
%{_mandir}/man3/Ace::B*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-AcePerl.spec,v $
Revision 1.60  2010/08/16 21:55:48  zbyniu
- small hack to prevent race conditions in parallel build, rel 4

Revision 1.59  2010/06/30 06:30:23  amateja
- release 3

Revision 1.58  2010/06/06 08:29:46  arekm
- release 2

Revision 1.57  2009/06/15 07:28:09  amateja
- updated to 1.92

Revision 1.56  2008/04/27 16:57:55  arekm
- rel 4; don't overwrite CC; compiler is pased via COMPILER variable

Revision 1.55  2008-02-23 19:45:07  glen
- release 3

Revision 1.54  2008-02-10 11:57:30  arekm
- rel 2

Revision 1.53  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.52  2007-06-03 11:47:30  qboosh
- generic URL

Revision 1.51  2007/06/03 11:39:22  agaran
- up to 1.91, rel 1, builds here

Revision 1.50  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.49  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.48  2006/02/15 22:19:40  glen
- up to 1.89

Revision 1.47  2006/02/15 19:02:12  glen
- BR cpp

Revision 1.46  2006/01/04 16:21:19  glen
- rel 2 to rebuild with webserver = apache

Revision 1.45  2005/11/20 22:57:47  glen
- use virtual webserver provide

Revision 1.44  2005/11/15 21:46:44  czucz
- formatting

Revision 1.43  2004/12/22 20:02:07  darekr
- R: perl-GD

Revision 1.42  2004/12/01 11:19:33  radek
- standarized

Revision 1.41  2004/05/23 19:02:19  qboosh
- added -fPIC to COMPILER flags
- updated defaults patch - use /home/serices/httpd for now (to be changed?)
- .so perms, release 1

Revision 1.40  2004/05/06 18:09:12  ankry
- fixed perl-devel BR

Revision 1.39  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.38  2004/04/25 00:50:53  ankry
- cosmetics: unification

Revision 1.37  2004/04/17 06:55:08  ankry
- better descriptions/summaries

Revision 1.36  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.35  2004/01/01 20:18:13  adamg
- updated to 1.87

Revision 1.34  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.33  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/07/24 17:14:58  adamg
- updated to 1.86
- use %{perl_vendorlib} instead of %{perl_vendorarch}
- added ace.pl (and its manpage) (doesn't work though)
- build and install RPC and Freesubs (required by ace.pl)
- added -path.patch (s#/usr/local/bin#/usr/bin#)
- builds, not tested too much

Revision 1.31  2003/05/28 13:00:19  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.28  2003/03/01 17:41:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.27  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:25:34  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/07/15 00:58:06  ankry
- separate AceBrowser (requires: apache)
- added patch for default configuration (Makefile.PL does nor read from
  stdin)
- release 2

Revision 1.24  2002/07/11 09:46:06  qboosh
- new %doc

Revision 1.23  2002/07/11 07:56:53  depesz
- new version; should work; STBR

Revision 1.22  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/24 23:26:34  kloczek
- release 5.

Revision 1.20  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/10 15:24:04  depesz
- adapterized

Revision 1.18  2002/01/18 02:14:10  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/04/30 16:05:26  kloczek
- added using %{rpmcflags} macro.

Revision 1.16  2001/04/17 12:04:58  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.15  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.14  2001/01/25 20:03:43  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/27 14:00:44  kloczek
- release 3: more rpm macros.

Revision 1.12  2000/12/23 00:48:46  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.11  2000/11/27 06:24:28  kloczek
- release 2: rebuild against perl 5.6.

Revision 1.10  2000/11/20 00:42:52  kloczek
- pdated to 1.67 and added using new rpm automation.

Revision 1.9  2000/08/16 18:12:54  kloczek
- corrected %files list.

Revision 1.8  2000/08/16 16:12:43  kloczek
- updated to 1.64.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:07  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 13:36:54  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
